- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
List of all members
qi::TypeImpl< qi::VarArguments< T > > Struct Template Reference

`#include <listtypeinterface.hxx>`

## Additional Inherited Members
Public Types inherited from qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >
using | BaseClass = ListTypeInterfaceImpl< typename qi::VarArguments< T >::VectorType, VarArgsTypeInterface >
using | MethodsImpl = DefaultTypeImplMethods< qi::VarArguments< T >, TypeByPointerPOD< qi::VarArguments< T > >>
Public Types inherited from qi::ListTypeInterfaceImpl< qi::VarArguments< T >::VectorType, VarArgsTypeInterface >
using | MethodsImpl = DefaultTypeImplMethods< qi::VarArguments< T >::VectorType, TypeByPointerPOD< qi::VarArguments< T >::VectorType >>
Public Member Functions inherited from qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >
| VarArgsTypeInterfaceImpl ()
| _QI_BOUNCE_TYPE_METHODS (MethodsImpl)
void * | adaptStorage (void **storage)
size_t | size (void *storage) override
| Return the number of elements in the list. More...
AnyIterator | begin (void *storage) override
| Return an iterator pointing to the first element of the list. More...
AnyIterator | end (void *storage) override
void | pushBack (void **storage, void *valueStorage) override
| Append an element to the end of the list. More...
Public Member Functions inherited from qi::ListTypeInterfaceImpl< qi::VarArguments< T >::VectorType, VarArgsTypeInterface >
| ListTypeInterfaceImpl ()
TypeInterface * | elementType () override
| _QI_BOUNCE_TYPE_METHODS (MethodsImpl)
Public Member Functions inherited from qi::VarArgsTypeInterface
TypeKind | kind () override
Public Member Functions inherited from qi::ListTypeInterface
virtual void * | element (void *storage, int index)
| Get the element at index. More...
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual void * | clone (void *)=0
| Allocate a storage and copy the value given as an argument. More...
virtual void | destroy (void *)=0
| Free all resources of a storage. More...
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)
Public Attributes inherited from qi::ListTypeInterfaceImpl< qi::VarArguments< T >::VectorType, VarArgsTypeInterface >
TypeInterface * | _elementType

## Detailed Description

### template<typename T>
struct qi::TypeImpl< qi::VarArguments< T > >

Definition at line 165 of file listtypeinterface.hxx.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/listtypeinterface.hxx